scala.tools.ant

# ScalaTool

###
Related Doc: package ant

#### class ScalaTool extends ScalaMatchingTask

An Ant task that generates a shell or batch script to execute a Scala program.

This task can take the following parameters as attributes:

- `file` (mandatory),
- `class` (mandatory),
- `platforms`,
- `classpath`,
- `properties`,
- `javaflags`,
- `toolflags`.

Source
  ScalaTool.scala
Version

  1.1

Linear Supertypes
ScalaMatchingTask, ScalaTask, MatchingTask, SelectorContainer, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScalaTool
2. ScalaMatchingTask
3. ScalaTask
4. MatchingTask
5. SelectorContainer
6. Task
7. ProjectComponent
8. Cloneable
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ScalaTool()

### Type Members

1. #### abstract class PermissibleValue extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScalaTool to any2stringadd[ScalaTool] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ScalaTool, B)

   Implicit information
     This member is added by an implicit conversion from ScalaTool to ArrowAssoc[ScalaTool] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### object Platforms extends PermissibleValue

   Defines valid values for the platforms property.

7. #### def XsetIgnore(arg0: String): Unit

   Definition Classes
     MatchingTask

8. #### def XsetItems(arg0: String): Unit

   Definition Classes
     MatchingTask

9. #### def add(arg0: FileSelector): Unit

   Definition Classes
     MatchingTask → SelectorContainer

10. #### def addAnd(arg0: AndSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

11. #### def addContains(arg0: ContainsSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

12. #### def addContainsRegexp(arg0: ContainsRegexpSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

13. #### def addCustom(arg0: ExtendSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

14. #### def addDate(arg0: DateSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

15. #### def addDepend(arg0: DependSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

16. #### def addDepth(arg0: DepthSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

17. #### def addDifferent(arg0: DifferentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

18. #### def addFilename(arg0: FilenameSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

19. #### def addMajority(arg0: MajoritySelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

20. #### def addModified(arg0: ModifiedSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

21. #### def addNone(arg0: NoneSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

22. #### def addNot(arg0: NotSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

23. #### def addOr(arg0: OrSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

24. #### def addPresent(arg0: PresentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

25. #### def addSelector(arg0: SelectSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

26. #### def addSize(arg0: SizeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

27. #### def addType(arg0: TypeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

28. #### def appendSelector(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

29. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

30. #### final def bindToOwner(arg0: Task): Unit

    Definition Classes
      Task

31. #### def buildError(message: String): Nothing

    Generates a build error.

    Generates a build error. Error location will be the current task in the ant file.

    message

      A message describing the error.

    Attributes
      protected
    Definition Classes
      ScalaTask
    Exceptions thrown

      `BuildException` A build error exception thrown in every case.

32. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      ProjectComponent → AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

33. #### def createClassPath: Path

    A special method that allows ant classpath path definitions to be nested within this ant task.

34. #### def createExclude(): NameEntry

    Definition Classes
      MatchingTask

35. #### def createExcludesFile(): NameEntry

    Definition Classes
      MatchingTask

36. #### def createInclude(): NameEntry

    Definition Classes
      MatchingTask

37. #### def createIncludesFile(): NameEntry

    Definition Classes
      MatchingTask

38. #### def createPatternSet(): PatternSet

    Definition Classes
      MatchingTask

39. #### def ensuring(cond: (ScalaTool) ⇒ Boolean, msg: ⇒ Any): ScalaTool

    Implicit information
      This member is added by an implicit conversion from ScalaTool to Ensuring[ScalaTool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

40. #### def ensuring(cond: (ScalaTool) ⇒ Boolean): ScalaTool

    Implicit information
      This member is added by an implicit conversion from ScalaTool to Ensuring[ScalaTool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScalaTool

    Implicit information
      This member is added by an implicit conversion from ScalaTool to Ensuring[ScalaTool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

42. #### def ensuring(cond: Boolean): ScalaTool

    Implicit information
      This member is added by an implicit conversion from ScalaTool to Ensuring[ScalaTool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

43. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

44. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

45. #### def execute(): Unit

    Performs the tool creation.

    Performs the tool creation.

    Definition Classes
      ScalaTool → Task

46. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

47. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ScalaTool to StringFormat[ScalaTool] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

48. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

49. #### def getDescription(): String

    Definition Classes
      ProjectComponent

50. #### def getDirectoryScanner(arg0: File): DirectoryScanner

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

51. #### final def getImplicitFileSet(): FileSet

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

52. #### def getLocation(): Location

    Definition Classes
      ProjectComponent

53. #### def getOwningTarget(): Target

    Definition Classes
      Task

54. #### def getProject(): Project

    Definition Classes
      ProjectComponent

55. #### def getRuntimeConfigurableWrapper(): RuntimeConfigurable

    Definition Classes
      Task

56. #### def getSelectors(arg0: Project): Array[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

57. #### def getTaskName(): String

    Definition Classes
      Task

58. #### def getTaskType(): String

    Definition Classes
      Task

59. #### def getWrapper(): RuntimeConfigurable

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

60. #### def handleErrorFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

61. #### def handleErrorOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

62. #### def handleFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

63. #### def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )

64. #### def handleOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

65. #### def hasSelectors(): Boolean

    Definition Classes
      MatchingTask → SelectorContainer

66. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

67. #### def init(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

68. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

69. #### final def isInvalid(): Boolean

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

70. #### def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit

    Definition Classes
      Task

71. #### def log(arg0: java.lang.Throwable, arg1: Int): Unit

    Definition Classes
      Task

72. #### def log(arg0: String, arg1: Int): Unit

    Definition Classes
      Task → ProjectComponent

73. #### def log(arg0: String): Unit

    Definition Classes
      Task → ProjectComponent

74. #### def maybeConfigure(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

75. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

76. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

77. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

78. #### final def perform(): Unit

    Definition Classes
      Task

79. #### def reconfigure(): Unit

    Definition Classes
      Task

80. #### def selectorCount(): Int

    Definition Classes
      MatchingTask → SelectorContainer

81. #### def selectorElements(): java.util.Enumeration[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

82. #### def setCaseSensitive(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

83. #### def setClass(input: String): Unit

    Sets the main class attribute.

84. #### def setClassPath(input: String): Unit

    Sets the classpath with which to run the tool.

    Sets the classpath with which to run the tool.

    Note that this mechanism of setting the classpath is generally preferred for general purpose scripts, as this does not assume all elements are relative to the Ant `basedir`. Additionally, the platform specific demarcation of any script variables (e.g. `${SCALA_HOME}` or `%SCALA_HOME%`) can be specified in a platform independent way (e.g. `@SCALA_HOME@`) and automatically translated for you.

85. #### def setClassPathRef(input: Reference): Unit

    Adds an Ant Path reference to the tool's classpath.

    Adds an Ant Path reference to the tool's classpath. Note that all entries in the path must exist either relative to the project basedir or with an absolute path to a file in the filesystem. As a result, this is not a mechanism for setting the classpath for more general use scripts.

86. #### def setDefaultexcludes(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

87. #### def setDescription(arg0: String): Unit

    Definition Classes
      ProjectComponent

88. #### def setExcludes(arg0: String): Unit

    Definition Classes
      MatchingTask

89. #### def setExcludesfile(arg0: File): Unit

    Definition Classes
      MatchingTask

90. #### def setFile(input: File): Unit

    Sets the file attribute.

91. #### def setFollowSymlinks(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

92. #### def setIncludes(arg0: String): Unit

    Definition Classes
      MatchingTask

93. #### def setIncludesfile(arg0: File): Unit

    Definition Classes
      MatchingTask

94. #### def setJavaflags(input: String): Unit

    Sets flags to be passed to the Java interpreter.

95. #### def setLocation(arg0: Location): Unit

    Definition Classes
      ProjectComponent

96. #### def setOwningTarget(arg0: Target): Unit

    Definition Classes
      Task

97. #### def setPlatforms(input: String): Unit

    Sets the platforms attribute.

98. #### def setProject(arg0: Project): Unit

    Definition Classes
      MatchingTask → ProjectComponent

99. #### def setProperties(input: String): Unit

    Sets JVM properties that will be set whilst running the tool.

100. #### def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit

     Definition Classes
       Task

101. #### def setTaskName(arg0: String): Unit

     Definition Classes
       Task

102. #### def setTaskType(arg0: String): Unit

     Definition Classes
       Task

103. #### def setToolflags(input: String): Unit

     Sets flags to be passed to the tool.

104. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

105. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       AnyRef → Any

106. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

107. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

108. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

109. #### def →[B](y: B): (ScalaTool, B)

     Implicit information
       This member is added by an implicit conversion from ScalaTool to ArrowAssoc[ScalaTool] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Inherited from ScalaMatchingTask

### Inherited from ScalaTask

### Inherited from MatchingTask

### Inherited from SelectorContainer

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScalaTool to any2stringadd[ScalaTool]

### Inherited by implicit conversion StringFormat from ScalaTool to StringFormat[ScalaTool]

### Inherited by implicit conversion Ensuring from ScalaTool to Ensuring[ScalaTool]

### Inherited by implicit conversion ArrowAssoc from ScalaTool to ArrowAssoc[ScalaTool]

### Ungrouped